{------------------------------------------------------------------------------}
{ TExportComponents Localization Unit                                          }
{------------------------------------------------------------------------------}
{ To localize all Y-Tech Export Components, just change these String Constants }
{ to phrases in your own language. Please make sure you don't change the name  }
{ of constants, or change them in any other way - you must leave all %s, etc...}
{ markers in the string. Only change the actual words itself. If you do        }
{ anything else, TExportListView might not compile or run properly.            }
{                                                                              }
{ You have 2 options: 1) (D3+ Only) you can change the resourcestrings after   }
{ the unit has been compiled or 2) you can change the strings right in here.   }
{ Note: #2 is the only option for D2 Users.                                    } 
{------------------------------------------------------------------------------}

unit EC_Strings;

interface

{$I CompConditionals.inc}

{$IFDEF Delphi3Up}
ResourceString
{$ELSE}
const
{$ENDIF}
  // These are the names that will appear in the Choose Dialog, you'll want to translate these
  // for sure.
  ccHTML          = 'HTML';
  ccMicrosoftWord = 'Microsoft Word';
  ccMicrosoftExcel = 'Microsoft Excel';
  ccText           = 'Text';
  ccRichText       = 'Rich Text';
  ccCSVText        = 'Comma-Delimited Text';
  ccTabText        = 'Tab-Delimited Text';
  ccClipboard      = 'Clipboard';

  cFilesFilter       = '%s files (*.%s)|*.%s|All Files (*.*)|*.*';
  cExportTitle       = 'Export to %s File';

  // "Choose" Dialog Strings
  cChooseDialogCaption   = 'Export %d Items';
  cChooseDialogCaption2  = 'Export Items';
  cChooseDialogStatusMsg = '%d Items Exported in %.2f Seconds.';
  cChooseOkCaption       = '&Ok';
  cChooseCancelCaption   = '&Cancel';
  cChooseInstructions    = 'Please choose an Export Format';
  cChooseScreenCaption   = '&View on Screen';
  cChooseFileCaption     = 'Export to &File';

  // Misc.
  cExcelRightFooter = 'Page &P of &N'; // Don't touch &P or &N! Only change word for 'page' and 'of'
  cNumberRowsCaption = 'Item'; // Row Numbering Column Header

  // Progress Constatns
  cPrintingCaption = 'Printing...';
  cExportingCaption = 'Exporting...';

  // Misc. Messages
  cCreatedMsg         = 'Created:';
  cClipSuccessfulMsg  = 'Successfully Exported to Clipboard';
  cExcelPleaseWaitMsg = 'Please Wait... Excel Export in Progress.';

  // Error Messages
  cGenericExportError  = 'Export Failed.';
  cTextFileError       = 'Export failed. Try again with a different file name. Please ensure that ' +
                         'you are not attempting to write to an empty floppy drive or write-protected ' +
                         'media (such as a floppy).' + #13#10#13#10 +
                         'Network users: Please ensure that the network ' +
                         'drive/folder you are trying to write to is connected.';
  cPrintError          = 'Could not complete Print operation successfully.';
  cDefShellViewError   = 'Error occured while trying to view data exported to the %s format.' + #13#10#13#10 +
                         'If this problem persists, you may want to consider re-installing the %s ' +
                         'Viewer Application. Doing so should fix this problem.';

  cNoDataError       = 'There is no Data to Export.';
  cNoneSelectedError = 'You must select at least one item to Export.';
  cNoColumnsError    = #13#10#13#10 + 'Please ensure your columns are visible and have data.';

  // OLE Error Messages
  cGenericOLEError1    = 'Cannot communicate with ';
  cGenericOLEError2    = '.' + #13#10 + 'Please try again and if that still fails then '+
                         'restart the computer, it might work then.';

const
  // Error Messages that only the Developer should see, no need to translate these.
  cNoComponentError = 'You must assign a %s before attempting to Export/Print.';
  cNotActiveError   = 'Assigned DataSet not Active. Please set the Active property to True before ' +
                      'attempting to Export/Print.';
  cNoDataSource     = '%s has no assigned DataSource';
  cNoDataSet        = '%s has no assigned DataSet';


implementation

end.
